Get content permissions

View as Markdown

Returns all user/group permissions on content. If permission model is ‘hierarchy_permission’, then permissions_hierarchy must be provided in the response.

Path parameters

idstringRequired

Query parameters

$topintegerOptional

Number of items to return per page (default pagination)

$skipintegerOptional

Number of items to skip (default pagination offset)

$skiptokenstringOptional
Used when the query parameters can be memoized into an encoded string containing filtering and pagination parameters. If the endpoint supports memoized paging, the first call can use $top and $skip, while @odata.nextLink will return with $skiptoken. If memoized querying is not supported, $top and $skip should be sufficient.
$filterstringOptional
$selectstringOptional
$orderbystringOptional

Response

Content permission response
@odata.contextstring
OData metadata context URL.
valueobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error
503
Service Unavailable Error